VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::updatesession::FileTypes::Info Class Reference

The `File.Info` class defines the uploaded file. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetName ()
| The name of the file.
void | SetName (string name)
| The name of the file.
vmware.content.library.item.updatesession.FileTypes.SourceType | GetSourceType ()
| The source type ( NONE, PUSH, PULL) from which the file is being retrieved.
void | SetSourceType (vmware.content.library.item.updatesession.FileTypes.SourceType sourceType)
| The source type ( NONE, PUSH, PULL) from which the file is being retrieved.
long | GetSize ()
| The file size, in bytes as received by the server.
void | SetSize (long?size)
| The file size, in bytes as received by the server.
vmware.content.library.item.FileTypes.ChecksumInfo | GetChecksumInfo ()
| The checksum information of the file received by the server.
void | SetChecksumInfo (vmware.content.library.item.FileTypes.ChecksumInfo checksumInfo)
| The checksum information of the file received by the server.
vmware.content.library.item.TransferEndpoint | GetSourceEndpoint ()
| A source endpoint from which to retrieve the file.
void | SetSourceEndpoint (vmware.content.library.item.TransferEndpoint sourceEndpoint)
| A source endpoint from which to retrieve the file.
vmware.content.library.item.TransferEndpoint | GetUploadEndpoint ()
| An upload endpoint to which the client can push the content.
void | SetUploadEndpoint (vmware.content.library.item.TransferEndpoint uploadEndpoint)
| An upload endpoint to which the client can push the content.
long | GetBytesTransferred ()
| The number of bytes of this file that have been received by the server.
void | SetBytesTransferred (long bytesTransferred)
| The number of bytes of this file that have been received by the server.
vmware.content.library.item.TransferStatus | GetStatus ()
| The transfer status ( WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file.
void | SetStatus (vmware.content.library.item.TransferStatus status)
| The transfer status ( WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file.
vmware.vapi.std.LocalizableMessage | GetErrorMessage ()
| Details about the transfer error.
void | SetErrorMessage (vmware.vapi.std.LocalizableMessage errorMessage)
| Details about the transfer error.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.Info` class defines the uploaded file.

## Constructor & Destructor Documentation

vmware::content::library::item::updatesession::FileTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::updatesession::FileTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::updatesession::FileTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::updatesession::FileTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::updatesession::FileTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::updatesession::FileTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::updatesession::FileTypes::Info::Equals | ( | object | obj | ) | `[inline]`

long vmware::content::library::item::updatesession::FileTypes::Info::GetBytesTransferred | ( |  | ) | `[inline]`

The number of bytes of this file that have been received by the server.

vmware.content.library.item.FileTypes.ChecksumInfo vmware::content::library::item::updatesession::FileTypes::Info::GetChecksumInfo | ( |  | ) | `[inline]`

The checksum information of the file received by the server.

vmware.vapi.std.LocalizableMessage vmware::content::library::item::updatesession::FileTypes::Info::GetErrorMessage | ( |  | ) | `[inline]`

Details about the transfer error.

override int vmware::content::library::item::updatesession::FileTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::updatesession::FileTypes::Info::GetName | ( |  | ) | `[inline]`

The name of the file.

long vmware::content::library::item::updatesession::FileTypes::Info::GetSize | ( |  | ) | `[inline]`

The file size, in bytes as received by the server.

This field is guaranteed to be set when the server has completely received the file.

vmware.content.library.item.TransferEndpoint vmware::content::library::item::updatesession::FileTypes::Info::GetSourceEndpoint | ( |  | ) | `[inline]`

A source endpoint from which to retrieve the file.

vmware.content.library.item.updatesession.FileTypes.SourceType vmware::content::library::item::updatesession::FileTypes::Info::GetSourceType | ( |  | ) | `[inline]`

The source type ( NONE, PUSH, PULL) from which the file is being retrieved.

This may be File.SourceType.NONE if the file is not being changed.

vmware.content.library.item.TransferStatus vmware::content::library::item::updatesession::FileTypes::Info::GetStatus | ( |  | ) | `[inline]`

The transfer status ( WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file.

vmware.content.library.item.TransferEndpoint vmware::content::library::item::updatesession::FileTypes::Info::GetUploadEndpoint | ( |  | ) | `[inline]`

An upload endpoint to which the client can push the content.

void vmware::content::library::item::updatesession::FileTypes::Info::SetBytesTransferred | ( | long | bytesTransferred | ) | `[inline]`

The number of bytes of this file that have been received by the server.

void vmware::content::library::item::updatesession::FileTypes::Info::SetChecksumInfo | ( | vmware.content.library.item.FileTypes.ChecksumInfo | checksumInfo | ) | `[inline]`

The checksum information of the file received by the server.

void vmware::content::library::item::updatesession::FileTypes::Info::SetErrorMessage | ( | vmware.vapi.std.LocalizableMessage | errorMessage | ) | `[inline]`

Details about the transfer error.

void vmware::content::library::item::updatesession::FileTypes::Info::SetName | ( | string | name | ) | `[inline]`

The name of the file.

void vmware::content::library::item::updatesession::FileTypes::Info::SetSize | ( | long? | size | ) | `[inline]`

The file size, in bytes as received by the server.

This field is guaranteed to be set when the server has completely received the file.

void vmware::content::library::item::updatesession::FileTypes::Info::SetSourceEndpoint | ( | vmware.content.library.item.TransferEndpoint | sourceEndpoint | ) | `[inline]`

A source endpoint from which to retrieve the file.

void vmware::content::library::item::updatesession::FileTypes::Info::SetSourceType | ( | vmware.content.library.item.updatesession.FileTypes.SourceType | sourceType | ) | `[inline]`

The source type ( NONE, PUSH, PULL) from which the file is being retrieved.

This may be File.SourceType.NONE if the file is not being changed.

void vmware::content::library::item::updatesession::FileTypes::Info::SetStatus | ( | vmware.content.library.item.TransferStatus | status | ) | `[inline]`

The transfer status ( WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file.

void vmware::content::library::item::updatesession::FileTypes::Info::SetUploadEndpoint | ( | vmware.content.library.item.TransferEndpoint | uploadEndpoint | ) | `[inline]`

An upload endpoint to which the client can push the content.

override string vmware::content::library::item::updatesession::FileTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- updatesession/FileTypes.cs